apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: sata-r3
provisioner: kubernetes.io/glusterfs
parameters:
  resturl: "http://172.18.161.59:8081"
  clusterid: "d4b8fe021411804fe136cb810f627993"
  restauthenabled: "true"
  restuser: "admin"
  restuserkey: "NDNiYWM1Y2FjYWU5MTBjYmUyOWNiMGU1"
  gidMin: "10000"
  gidMax: "29999"
  volumetype: "replicate:3"
